/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package vista;

import java.awt.Component;
import javax.swing.ImageIcon;
import javax.swing.JTree;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeCellRenderer;

/**
 *
 * @author UHU
 */
public class RendererArbol extends DefaultTreeCellRenderer{
//    private ImageIcon imgCDU;
//    private ImageIcon imgEXC;
//    private ImageIcon imgIMG;
//    private ImageIcon imgOBJ;
//    private ImageIcon imgORG;
//    private ImageIcon imgREU;
//    private ImageIcon imgPAR;
//    private ImageIcon imgSEC;
//    private ImageIcon imgPAS;
//    private ImageIcon imgRFU;
//    private ImageIcon imgRIN;
//    private ImageIcon imgRNF;
//    private ImageIcon imgRRE;
//    private ImageIcon imgPRF;
//    private ImageIcon imgACT;
    
    public RendererArbol() { 
        //Guardamos las imagenes con la ubicacion
//        imgCDU=new ImageIcon ("src/vista/arbolico/nueva_cu.png"); 
//        imgEXC=new ImageIcon ("src/vista/arbolico/nueva_excepcion.png");
//        imgIMG=new ImageIcon ("src/vista/arbolico/nueva_imagen.png");
//        imgOBJ=new ImageIcon ("src/vista/arbolico/nuevo_objetivo.png");
//        imgORG=new ImageIcon ("src/vista/arbolico/nueva_organizacion.png");
//        imgREU=new ImageIcon ("src/vista/arbolico/nueva_reunion.png");
//        imgPAR=new ImageIcon ("src/vista/arbolico/nuevo_participante.png");
//        imgSEC=new ImageIcon ("src/vista/arbolico/nueva_seccion.png");
//        imgPAS=new ImageIcon ("src/vista/arbolico/nuevo_paso.png");
//        imgRFU=new ImageIcon ("src/vista/arbolico/req_funcional.png");
//        imgRIN=new ImageIcon ("src/vista/arbolico/req_informacion.png");
//        imgRNF=new ImageIcon ("src/vista/arbolico/req_nofuncional.png");
//        imgRRE=new ImageIcon ("src/vista/arbolico/req_restriccion.png");
//        imgPRF=new ImageIcon ("src/vista/arbolico/nuevo_parrafo.png");
//        imgACT=new ImageIcon ("src/vista/arbolico/nuevo_actor.png");
        
    }
    
    @Override
    public Component getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus){
    //Lo que hacemos en esta clase es implementar el metodo getTreeCellRendererComponent modificando solo lo que nos interesa, ya que estamos sobrecargando un método ya existente de ahi el @Override

    super.getTreeCellRendererComponent(tree,value,selected,expanded,leaf,row,hasFocus);
    DefaultMutableTreeNode nodo = (DefaultMutableTreeNode) value;
    
    if (nodo.toString().startsWith("[CDU]")) {
        ImageIcon imgCDU= new ImageIcon(getClass().getResource("/vista/arbolico/nueva_cu.png"));
        setIcon(imgCDU);
    }
    else if (nodo.toString().startsWith("[EXC]")) {
        ImageIcon imgEXC= new ImageIcon(getClass().getResource("/vista/arbolico/nueva_excepcion.png"));
        setIcon(imgEXC);
    }
    else if (nodo.toString().startsWith("[SEC]")||nodo.toString().startsWith("[DOC]")) {
        ImageIcon imgSEC= new ImageIcon(getClass().getResource("/vista/arbolico/nueva_seccion.png"));
        setIcon(imgSEC);
    }
    else if (nodo.toString().startsWith("[PAS]")) {
        ImageIcon imgPAS= new ImageIcon(getClass().getResource("/vista/arbolico/nuevo_paso.png"));
        setIcon(imgPAS);
    }
    else if (nodo.toString().startsWith("[RFU]")) {
        ImageIcon imgRFU= new ImageIcon(getClass().getResource("/vista/arbolico/req_funcional.png"));
        setIcon(imgRFU);
    }
    else if (nodo.toString().startsWith("[RIN]")) {
        ImageIcon imgRIN= new ImageIcon(getClass().getResource("/vista/arbolico/req_informacion.png"));
        setIcon(imgRIN);
    }
    else if (nodo.toString().startsWith("[RNF]")) {
        ImageIcon imgRNF= new ImageIcon(getClass().getResource("/vista/arbolico/req_nofuncional.png"));
        setIcon(imgRNF);
    }
    else if (nodo.toString().startsWith("[RRE]")) {
        ImageIcon imgRRE= new ImageIcon(getClass().getResource("/vista/arbolico/req_restriccion.png"));
        setIcon(imgRRE);
    }
    else if (nodo.toString().startsWith("[REU]")) {
        ImageIcon imgREU= new ImageIcon(getClass().getResource("/vista/arbolico/nueva_reunion.png"));
        setIcon(imgREU);
    }
    else if (nodo.toString().startsWith("[IMG]")) {
        ImageIcon imgIMG= new ImageIcon(getClass().getResource("/vista/arbolico/nueva_imagen.png"));
        setIcon(imgIMG);
    }
    else if (nodo.toString().startsWith("[OBJ]")) {
        ImageIcon imgOBJ= new ImageIcon(getClass().getResource("/vista/arbolico/nuevo_objetivo.png"));
        setIcon(imgOBJ);
    }
    else if (nodo.toString().startsWith("[ORG]")) {
        ImageIcon imgORG= new ImageIcon(getClass().getResource("/vista/arbolico/nueva_organizacion.png"));
        setIcon(imgORG);
    }
    else if (nodo.toString().startsWith("[PAR]")) {
        ImageIcon imgPAR= new ImageIcon(getClass().getResource("/vista/arbolico/nuevo_participante.png"));
        setIcon(imgPAR);
    }
    else if (nodo.toString().startsWith("[PRF]")) {
        ImageIcon imgPRF= new ImageIcon(getClass().getResource("/vista/arbolico/nuevo_parrafo.png"));
        setIcon(imgPRF);
    }
    else if (nodo.toString().startsWith("[ACT]")) {
        ImageIcon imgACT= new ImageIcon(getClass().getResource("/vista/arbolico/nuevo_actor.png"));
        setIcon(imgACT);
    }
    else if (nodo.toString().startsWith("[MAT]")) {
        ImageIcon imgACT= new ImageIcon(getClass().getResource("/vista/arbolico/matriz.png"));
        setIcon(imgACT);
    }
    else {
        
    }

    return this;

    }// Fin del método
}
